$appColorRed: #f10c0c;
$appColorRedLight: #ffb5b5;
$appColorBlue: #3c3a5a;
$appBackgroundColor: #f3fbfd;
$appColorBorderBlue: #3c3a5a37;
$appBackgroundColorTransparent: #f3fbfd;
$appColorLightPurple: #f5dfff;
$appColorDarkBlue: #292936;

body {
  color: $appColorBlue;
}

.addfile-container {
  display: flex;
  width: 100%;
  height: 100%;
  justify-content: center;
  align-items: center;
}

.map-instructions {
  display: flex;
  flex-direction: column;
  position: absolute;
  right: 7%;
  bottom: 10%;
  color: white;
  text-align: center;
}

.map-instructions :first-child::after {
  content: 'rotate';
  color: $appColorRed;
}

.map-name {
  color: white;
  position: fixed;
  font-size: 4rem;
  left: 5%;
  top: 10%;
  display: flex;
  flex-direction: column;
  z-index: 1;
}

.map-name h1 {
  margin: 0;
  padding: 0;
  font-size: 4rem;
  text-align: right;
}

.map-name h1::first-letter {
  color: $appColorRed;
}

.map-name :nth-child(2) {
  font-size: 1rem;
}

.map-name :nth-child(2)::after {
  content: 'EARTH*';
  color: $appColorRed;
  font-weight: bold;
}

.map-name :nth-child(3) {
  padding-top: 5px;
  font-size: 0.6rem;
}

.map-name :nth-child(3)::before {
  content: '*';
  color: $appColorRed;
}

.webgl-canvas {
  flex: 1 1 100%;
  width: 0;
  height: 100%;
  background-color: $appColorDarkBlue;
}

.location-box-header {
  pointer-events: none;
}

.farmapp-container {
  width: 100vw;
  height: 100vh;
  display: grid;
  grid-template-columns: 0.15fr 8fr 0.15fr;
  grid-template-rows: 0.5fr 8fr 0.5fr;
  position: relative;
}

.appversion-container {
  grid-area: 1 / 2 / 1 / 3;
  display: flex;
  justify-content: flex-start;
  align-items: flex-end;
  padding-bottom: 0.25rem;
  font-weight: bold;
}

.footer-container {
  grid-area: 3 / 2 / 3 / 3;
  display: flex;
  justify-content: flex-end;
  align-items: center;
}

.footer-container img {
  width: 30px;
}

.content-container {
  grid-area: 2 / 2 / 3 / 3;
  background-color: $appBackgroundColor;
  border-radius: 3px;
  animation-fill-mode: forwards;
  border: 1px solid $appColorRed;
  display: flex;
}

.content-background {
  grid-area: 2 / 2 / 3 / 3;
  border: 1px solid $appColorRed;
  background-color: $appBackgroundColor;
  z-index: -1;
}

.menu-container {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  z-index: 3;
  pointer-events: none;
  height: 100vh;
  position: fixed;
  right: 0;
}

.options-container {
  display: flex;
  align-items: center;
  justify-content: space-around;
  gap: 1.3rem;
  flex-direction: column;
  font-size: 1.75rem;
}

.next-dataset-button {
  position: absolute;
  left: -42px;
  background-color: $appColorLightPurple;
}

.chart-label {
  background-color: chartreuse;
  text-align: center;
}

.option-search {
  display: flex;
  flex-direction: column;
  font-size: 1rem;
  color: $appColorBlue;
  font-weight: bold;
  gap: 5px;
  margin-top: 1.5rem;
}

.chart-container {
  flex: 1;
  width: 0;
  padding: 10px;
  font-size: clamp(18px, 1.75rem, 2vw);
}

.option-search input {
  font-size: 1.25rem;
  height: 2rem;
  color: $appColorBlue;
}

.options-container span {
  cursor: pointer;
  font-size: clamp(16px, 2.5vw, 2rem);
}

.grid-options-container {
  height: 100%;
  display: grid;
  grid-template-rows: 0.15fr 1fr 0.15fr;
}

.grid-mid-container {
  width: 100%;
  height: 100%;
}

.query-options-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.query-options {
  padding: 10px;
  color: $appColorRed;
  font-size: 1rem;
  margin: 0;
}

.query-options span {
  color: $appColorBlue;
}

.query-header {
  display: flex;
  justify-content: center;
  align-items: flex-end;
}

.query-header h1 {
  font-size: 3rem;
  margin: 0;
  padding: 0;
}

.menu {
  background-color: $appColorBlue;
  padding: 15px 10px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 25px;
  border-radius: 10px;
  pointer-events: all;
}

.menu img {
  width: 30px;
}

.execute-container {
  display: flex;
  justify-content: center;
  align-items: flex-start;
}

.location-container {
  display: flex;
  flex-direction: column;
  font-size: 1.1rem;
  min-width: 200px;
  max-height: 0px;
  overflow-y: scroll;
  text-align: center;
  position: absolute;
  justify-content: center;
  left: 0;
  right: 0;
  margin: auto;
  background-color: $appBackgroundColorTransparent;
  padding: 0;
  border-radius: 5px;
}

.no-results-container {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
}

.options {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
  min-width: 220px;
  cursor: pointer;
}

.location-option {
  padding: 8px 3rem;
  background-color: $appBackgroundColor;
  transition: 150ms all ease-in-out;
  border-radius: 5px;
}

.location-option:hover {
  background-color: $appColorBlue;
  color: white;
}

.selected-location {
  background-color: $appColorBlue;
  color: white;
  border-radius: 5px;
  padding: 8px 3rem;
  position: relative;
}

.selected-location::after {
  content: '';
  width: 1rem;
  height: 1rem;
  display: inline-block;
  margin: 0 10px;
  background-image: url('../public/check.svg');
  background-size: cover;
  position: absolute;
}

.close-option {
  color: $appColorRed;
}

.list-arrow {
  align-self: center;
  transform: rotate(180deg);
}

.selection-container {
  display: flex;
  height: 100%;
  position: relative;
  flex-wrap: wrap;
  padding: 20px;
  gap: 20px;
}

.selection-option {
  flex: 1 1 28%;
  padding: 5px;
  box-sizing: border-box;
  text-align: center;
  border: 1px solid $appColorBorderBlue;
  border-radius: 5px;
}

.location-filter-input {
  font-size: 1.5rem;
  max-width: 250px;
  width: 100%;
  height: 50px;
  padding: 5px;
}

.datetime {
  flex: 1 1 45%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.location-inner {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.location-header {
  display: flex;
  justify-content: center;
  align-items: flex-end;
  gap: 10px;
  padding: 10px;
}

.location {
  flex: 1 1 100%;
  padding: 5px;
  box-sizing: border-box;
  text-align: center;
  border: 1px solid $appColorBorderBlue;
  border-radius: 5px;
  position: relative;
}

.selection-container img {
  width: 50px;
  height: 50px;
}

.selected-category {
  font-weight: bolder;
  position: relative;
}

.selected-category-remove {
  position: absolute;
  margin-left: 10px;
  width: 25px;
  height: 25px;
}

.granularity-container {
  display: flex;
  gap: 10px;
  flex-direction: column;
}

.check-box {
  width: 1.75rem;
  height: 1.75rem;
  border: 2px solid $appColorBlue;
  border-radius: 3px;
  background-color: white;
}

.check-box-selected {
  background-image: url('../public/checked.svg');
  background-size: cover;
  background-color: $appColorBlue;
}

.color-red {
  color: $appColorRed;
}

::-webkit-scrollbar {
  width: 12px;
  padding-left: 10px;
}

::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px $appColorBlue;
  border-radius: 10px;
}

::-webkit-scrollbar-thumb {
  border-radius: 10px;
  background: $appColorRed;
}

.table-row:hover :nth-child(2) {
  background-color: $appColorRedLight;
}

.table-row {
  background-clip: padding-box;
}

.rotate-up {
  animation: rotateUp 300ms ease-in-out forwards;
}

.rotate-down {
  animation: rotateDown 300ms ease-in-out forwards;
}

.fade-in {
  animation: fadeIn 0.3s ease-in-out;
}

.fade-out {
  animation: fadeOut 0.3s ease-in-out;
}

.slide-up {
  animation: slideLocationsUp 0.3s ease-in-out forwards;
}

.slide-down {
  animation: slideLocationsDown 0.3s ease-in-out forwards;
}

@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

@keyframes fadeOut {
  0% {
    opacity: 1;
  }

  100% {
    opacity: 0;
  }
}

@keyframes rotateUp {
  0% {
    transform: rotate(180deg);
  }
  100% {
    transform: rotate(0deg);
  }
}

@keyframes rotateDown {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(180deg);
  }
}

@keyframes slideLocationsUp {
  0% {
    max-height: 575px;
    padding: 10px;
    overflow-y: overlay;
    border: 1px solid $appColorBlue;
  }
  100% {
    max-height: 0px;
    padding: 0;
    overflow-y: hidden;
    border: none;
  }
}

@keyframes slideLocationsDown {
  0% {
    padding: 0;
    max-height: 0px;
    overflow-y: hidden;
    border: none;
  }
  100% {
    padding: 10px;
    max-height: 575px;
    overflow-y: overlay;
    border: 1px solid $appColorBlue;
  }
}

.loader {
  width: 150px;
  display: flex;
}

.loader span {
  width: 15px;
  height: 60px;
  margin: 0 1px;
  background-color: #7e7e7e;
  transform: scaleY(0.1);
  animation: loading 1.1s ease-in-out infinite;
}

.loader span:nth-child(1) {
  animation-delay: 0.2s;
}

.loader span:nth-child(2) {
  animation-delay: 0.3s;
}

.loader span:nth-child(3) {
  animation-delay: 0.4s;
}

.loader span:nth-child(4) {
  animation-delay: 0.5s;
}

.loader span:nth-child(5) {
  animation-delay: 0.6s;
}

.loader span:nth-child(6) {
  animation-delay: 0.7s;
}

.loader span:nth-child(7) {
  animation-delay: 0.8s;
}

.loader span:nth-child(8) {
  animation-delay: 0.9s;
}

.loader span:nth-child(9) {
  animation-delay: 1s;
}

@keyframes loading {
  0% {
    transform: scaleY(0.1);
  }
  35% {
    transform: scaleY(1);
  }
  60%,
  100% {
    transform: scaleY(0.1);
  }
}

.uploading-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  font-size: 1.5rem;
}

input[type='file'] {
  display: none;
}

.btn {
  margin: 20px 0;
  width: 255px;
  height: 3rem;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: clamp(20px, 24px, 28px);
  border: 2px solid $appColorBlue;
  color: $appColorBlue;
  background-color: $appBackgroundColor;
  border-radius: 5px;
  transition: 0.3s all;
  cursor: pointer;
}

.btn:hover {
  color: white;
  background-color: $appColorBlue;
}
